node-extend-shallow_3.0.2-1_all.deb


Advertisement

Description

node-extend-shallow - extend an object with the properties of additional objects

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-extend-shallow_3.0.2-1_all.deb
Package name node-extend-shallow
Package version 3.0.2
Package release 1
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/jonschlinkert/extend-shallow
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 5.29 KB
Installed size 18.00 KB
node.js/javascript util.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-extend-shallow_3.0.2-1_all.deb 3.0.2 all Ubuntu Universe
node-extend-shallow - - -

Requires

Name Value
node-is-extendable >= 1.0.1
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-extend-shallow_3.0.2-1_all.deb
Source Package node-extend-shallow

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-extend-shallow deb package:
    # sudo apt-get install node-extend-shallow

Files

Path
/usr/lib/nodejs/extend-shallow/index.js
/usr/lib/nodejs/extend-shallow/package.json
/usr/share/doc/node-extend-shallow/README.md.gz
/usr/share/doc/node-extend-shallow/changelog.Debian.gz
/usr/share/doc/node-extend-shallow/copyright

Changelog

2019-01-02 - Paolo Greppi <paolo.greppi@libpf.com>
node-extend-shallow (3.0.2-1) unstable; urgency=medium
* Team upload.
* Update Vcs fields for migration to https://salsa.debian.org/
* Bump standard version
* Bump debhelper compat
* New upstream version
* Update copyright and dependencies
* Check DEB_BUILD_OPTIONS against nocheck
2017-11-25 - Julien Puydt <julien.puydt@laposte.net>
node-extend-shallow (3.0.1-1) unstable; urgency=medium
* Team upload
* New upstream release
* Update packaging:
- Use https in d/copyright's Format
- Bump dh compat to 10
- Clean d/rules
- Move to section javascript
- Bump std-ver to 4.1.1
- Update d/watch (version 4, upstream github)
- Make autopkgtest check the installed code 
2016-12-03 - Pirate Praveen <praveen@debian.org>
node-extend-shallow (2.0.1-3) unstable; urgency=medium
* Add node-minimist to builddeps (Closes: #846700) 
2016-10-31 - Sruthi Chandran <srud@disroot.org>
node-extend-shallow (2.0.1-2) unstable; urgency=medium
* Team upload
* Add is-extendable and node-should to builddeps (Closes: #842668)
2016-10-17 - Pirate Praveen <praveen@debian.org>
node-extend-shallow (2.0.1-1) unstable; urgency=low
* Initial release (Closes: #841069)

See Also

Package Description
node-extend_3.0.2-1_all.deb port of jQuery.extend for Node.js
node-external-editor_2.0.4+dfsg-2_all.deb Edit a string with the users preferred text editor
node-extglob_2.0.4-1_all.deb Extended glob support for JavaScript
node-extract-text-webpack-plugin_3.0.2-2_all.deb Extract text from bundle into a file
node-extsprintf_1.3.0-1_all.deb extended POSIX-style sprintf
node-eyes_0.1.8-1_all.deb customizable value inspector for Node
node-falafel_2.1.0-6build1_all.deb transform javascript AST on a recursive walk
node-fancy-log_1.2.0-1_all.deb Log things, prefixed with a timestamp
node-fast-deep-equal_1.0.0-1_all.deb Fast Deep Equal
node-fast-levenshtein_2.0.5-1_all.deb efficient implementation of Levenshtein algorithm
node-fastcgi-stream_1.0.0-1_all.deb Node.js module to read and write FastCGI records
node-fastcgi_1.3.3-1_all.deb FastCGI server for Node.js
node-faye-websocket_0.11.1-1_all.deb standards-compliant WebSocket library for Node.js
node-fbjs_0.8.16-1_all.deb collection of utility libraries used by other Facebook JS projects
node-fd-slicer_1.1.0-2_all.deb create multiple ReadStreams or WriteStreams from the same fd - Node.js module
Advertisement
Advertisement